Index: configure
===================================================================
--- configure	(revision 551)
+++ configure	(working copy)
@@ -57,7 +57,7 @@
 shared="no"
 
 CC="${CC-gcc}"
-CFLAGS="-Wall -I. -O4 -ffast-math -D__X264__"
+CFLAGS="-Wall -I. -D__X264__"
 LDFLAGS=""
 HAVE_GETOPT_LONG=1
 
@@ -339,6 +339,10 @@
     VFW_LDFLAGS="$VFW_LDFLAGS -s"
 fi
 
+if [ "$debug" != "yes" ]; then
+    CFLAGS="$CFLAGS -O4 -ffast-math"
+fi
+
 if cc_check "stdio.h" "" "fseeko(stdin,0,0);" ; then
     echo "#define fseek fseeko" >> config.h
     echo "#define ftell ftello" >> config.h
